Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/7956/?format=api
{ "ob_id": 7956, "uuid": "f5a94faab12bf906a4bc964a1e3c89f2", "title": "NCAVEO: SPAD-502 chlorophyll meter data collected at Brockley field near Chilbolton", "abstract": "This dataset compromises chlorophyll data, which was collected using a Special Products Analysis Division (SPAD) 502 chorophyll meter, as part of the Network for Calibration and Validation of EO data 2006 Field Campaign. The estimates of chlorophyll amount were taken for the spring barley crop in Brockley field, near Chilbolton, this having been the only available field without seed heads and subsequently appropriate for measurements to be taken from. The numerical SPAD value is proportional to the amount of chlorophyll within the leaf, but a calibration equation for Spring Barley is required to convert these values into chlorophyll concentration. Each SPAD value in the file is an average of 10 values which were measured within 10 metres of the flag. ", "keywords": "NCAVEO, CHLOROPHYLL, BROCKLEY, CHILBOLTON", "publicationState": "published", "dataPublishedTime": "2008-09-26T08:57:17", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/12660/?format=api", "dataPath": "/neodc/ncaveo_field/data/Chlorophyll", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 23233, "numberOfFiles": 4, "fileFormat": "Data is in ASCII format." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2276/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/172/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/82939/?format=api" ], "dataLineage": "These data were provided to NEODC by university of Southampton, who carried out work to convert formats to NASA-Ames, and write metadata documents. The metadata documents describing the processing are archived alongside the data as PDF files.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5171/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/7827/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/7824/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30128/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32622/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32627/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32621/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32624/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32625/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32626/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32628/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32623/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/7959/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }